From 631e82e859249e1d8b9dbfd24a97056d1789a4a1 Mon Sep 17 00:00:00 2001
From: "Yuya.Nishida" <yuya@j96.org>
Date: Fri, 2 Jun 2023 01:30:21 +0900
Subject: [PATCH] run: git cococo sh -c 'git ls-files -z | xargs -0 sed -i -e
 /label_optgroup_others/d'

---
 config/locales/ar.yml    | 1 -
 config/locales/az.yml    | 1 -
 config/locales/bg.yml    | 1 -
 config/locales/bs.yml    | 1 -
 config/locales/ca.yml    | 1 -
 config/locales/cs.yml    | 1 -
 config/locales/da.yml    | 1 -
 config/locales/de.yml    | 1 -
 config/locales/el.yml    | 1 -
 config/locales/en-GB.yml | 1 -
 config/locales/en.yml    | 1 -
 config/locales/es-PA.yml | 1 -
 config/locales/es.yml    | 2 --
 config/locales/et.yml    | 1 -
 config/locales/eu.yml    | 1 -
 config/locales/fa.yml    | 1 -
 config/locales/fi.yml    | 1 -
 config/locales/fr.yml    | 1 -
 config/locales/gl.yml    | 1 -
 config/locales/he.yml    | 1 -
 config/locales/hr.yml    | 1 -
 config/locales/hu.yml    | 1 -
 config/locales/id.yml    | 1 -
 config/locales/it.yml    | 1 -
 config/locales/ja.yml    | 1 -
 config/locales/ko.yml    | 1 -
 config/locales/lt.yml    | 1 -
 config/locales/lv.yml    | 1 -
 config/locales/mk.yml    | 1 -
 config/locales/mn.yml    | 1 -
 config/locales/nl.yml    | 1 -
 config/locales/no.yml    | 1 -
 config/locales/pl.yml    | 1 -
 config/locales/pt-BR.yml | 1 -
 config/locales/pt.yml    | 1 -
 config/locales/ro.yml    | 1 -
 config/locales/ru.yml    | 1 -
 config/locales/sk.yml    | 1 -
 config/locales/sl.yml    | 1 -
 config/locales/sq.yml    | 1 -
 config/locales/sr-YU.yml | 1 -
 config/locales/sr.yml    | 1 -
 config/locales/sv.yml    | 1 -
 config/locales/th.yml    | 1 -
 config/locales/tr.yml    | 1 -
 config/locales/uk.yml    | 1 -
 config/locales/vi.yml    | 1 -
 config/locales/zh-TW.yml | 1 -
 config/locales/zh.yml    | 1 -
 49 files changed, 50 deletions(-)

diff --git a/config/locales/ar.yml b/config/locales/ar.yml
index af24a40e0..cb21cf725 100644
--- a/config/locales/ar.yml
+++ b/config/locales/ar.yml
@@ -1280,7 +1280,6 @@ ar:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/az.yml b/config/locales/az.yml
index d5f7d8e12..470a6902a 100644
--- a/config/locales/az.yml
+++ b/config/locales/az.yml
@@ -1372,7 +1372,6 @@ az:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/bg.yml b/config/locales/bg.yml
index 08a552f3c..577149327 100644
--- a/config/locales/bg.yml
+++ b/config/locales/bg.yml
@@ -1101,7 +1101,6 @@ bg:
   label_font_monospace: Monospaced шрифт
   label_font_proportional: Пропорционален шрифт
   label_optgroup_bookmarks: Отметки
-  label_optgroup_others: Други проекти
   label_optgroup_recents: Последно използвани
   label_last_notes: Последни коментари
   label_default_queries:
diff --git a/config/locales/bs.yml b/config/locales/bs.yml
index e82ecce0d..af9aa084e 100644
--- a/config/locales/bs.yml
+++ b/config/locales/bs.yml
@@ -1293,7 +1293,6 @@ bs:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/ca.yml b/config/locales/ca.yml
index e04e55aba..818b75f50 100644
--- a/config/locales/ca.yml
+++ b/config/locales/ca.yml
@@ -1270,7 +1270,6 @@ ca:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/cs.yml b/config/locales/cs.yml
index dead9892d..2c20f19e3 100644
--- a/config/locales/cs.yml
+++ b/config/locales/cs.yml
@@ -1270,7 +1270,6 @@ cs:
   text_gs_available: ImageMagick PDF podpora k dispozici (volitelné)
   field_recently_used_projects: Počet nedávno použitých projektů v rychlém výběru
   label_optgroup_bookmarks: Záložky
-  label_optgroup_others: Jiné projekty
   label_optgroup_recents: Nedávno použité
   button_project_bookmark: Přidat záložku
   button_project_bookmark_delete: Odstranit záložku
diff --git a/config/locales/da.yml b/config/locales/da.yml
index 60a693f0e..d6ae15032 100644
--- a/config/locales/da.yml
+++ b/config/locales/da.yml
@@ -1297,7 +1297,6 @@ da:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/de.yml b/config/locales/de.yml
index 816f2db58..fd364f636 100644
--- a/config/locales/de.yml
+++ b/config/locales/de.yml
@@ -1283,7 +1283,6 @@ de:
   label_import_notifications: Versende E-Mail-Benachrichtigungen während des Imports
   field_recently_used_projects: Anzahl kürzlich verwendeter Projekte in der Projekt-Jump-Box
   label_optgroup_bookmarks: Lesezeichen
-  label_optgroup_others: Andere Projekte
   label_optgroup_recents: Kürzlich verwendet
   button_project_bookmark: Lesezeichen hinzufügen
   button_project_bookmark_delete: Lesezeichen entfernen
diff --git a/config/locales/el.yml b/config/locales/el.yml
index 48db749a5..67e8dcf95 100644
--- a/config/locales/el.yml
+++ b/config/locales/el.yml
@@ -1280,7 +1280,6 @@ el:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/en-GB.yml b/config/locales/en-GB.yml
index e1efefc99..adb636840 100644
--- a/config/locales/en-GB.yml
+++ b/config/locales/en-GB.yml
@@ -1281,7 +1281,6 @@ en-GB:
   label_import_notifications: Send email notifications during the import
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/en.yml b/config/locales/en.yml
index 7749cf4e4..2494b1fcc 100644
--- a/config/locales/en.yml
+++ b/config/locales/en.yml
@@ -1097,7 +1097,6 @@ en:
   label_font_monospace: Monospaced font
   label_font_proportional: Proportional font
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   label_last_notes: Last notes
   label_default_queries:
diff --git a/config/locales/es-PA.yml b/config/locales/es-PA.yml
index 718d15da6..4ce1f4204 100644
--- a/config/locales/es-PA.yml
+++ b/config/locales/es-PA.yml
@@ -1310,7 +1310,6 @@ es-PA:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/es.yml b/config/locales/es.yml
index ec043e99a..32bd3cd9e 100644
--- a/config/locales/es.yml
+++ b/config/locales/es.yml
@@ -1310,7 +1310,6 @@ es:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
@@ -1347,7 +1346,6 @@ es:
   text_gs_available: Disponible soporte ImageMagick PDF (opcional)
   field_recently_used_projects: Número de proyectos recientemente usados en el selector
   label_optgroup_bookmarks: Marcadores
-  label_optgroup_others: Otros proyectos
   label_optgroup_recents: Utilizados recientemente
   button_project_bookmark: Añadir marcador
   button_project_bookmark_delete: Quitar marcador
diff --git a/config/locales/et.yml b/config/locales/et.yml
index 39063711e..293aeac25 100644
--- a/config/locales/et.yml
+++ b/config/locales/et.yml
@@ -1285,7 +1285,6 @@ et:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/eu.yml b/config/locales/eu.yml
index 4111bb540..d91e3c61f 100644
--- a/config/locales/eu.yml
+++ b/config/locales/eu.yml
@@ -1281,7 +1281,6 @@ eu:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/fa.yml b/config/locales/fa.yml
index 6128e23f7..d10e075b8 100644
--- a/config/locales/fa.yml
+++ b/config/locales/fa.yml
@@ -1253,7 +1253,6 @@ fa:
   text_gs_available: پشتیبانی ImageMagick PDF موجود است (اختیاری)
   field_recently_used_projects: تعداد پروژه‌های اخیر در پنجره انتخاب پروژه
   label_optgroup_bookmarks: منتخب
-  label_optgroup_others: سایر پروژه‌ها
   label_optgroup_recents: اخیراً دیده‌شده
   button_project_bookmark: افزودن منتخب
   button_project_bookmark_delete: حذف منتخب
diff --git a/config/locales/fi.yml b/config/locales/fi.yml
index f7206da7d..a6a168cfa 100644
--- a/config/locales/fi.yml
+++ b/config/locales/fi.yml
@@ -1301,7 +1301,6 @@ fi:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/fr.yml b/config/locales/fr.yml
index e1ec6a239..a1dd4a48b 100644
--- a/config/locales/fr.yml
+++ b/config/locales/fr.yml
@@ -1277,7 +1277,6 @@ fr:
   text_gs_available: "Support PDF ImageMagick disponible (optionnel)"
   field_recently_used_projects: "Nombre de projets consultés récemment affichés dans le menu"
   label_optgroup_bookmarks: "Favoris"
-  label_optgroup_others: "Autres projets"
   label_optgroup_recents: "Consultés récemment"
   button_project_bookmark: "Ajouter aux favoris"
   button_project_bookmark_delete: "Retirer des favoris"
diff --git a/config/locales/gl.yml b/config/locales/gl.yml
index 326fd4e51..e1fb00425 100644
--- a/config/locales/gl.yml
+++ b/config/locales/gl.yml
@@ -1287,7 +1287,6 @@ gl:
   text_gs_available: Soporte de PDF ImageMagick dispoñible (opcional)
   field_recently_used_projects: Número de proxectos recentemente usados no despregable de proxectos
   label_optgroup_bookmarks: Favoritos
-  label_optgroup_others: Outros proxectos
   label_optgroup_recents: Usado recentemente
   button_project_bookmark: Engadir favoritos
   button_project_bookmark_delete: Borrar favoritos
diff --git a/config/locales/he.yml b/config/locales/he.yml
index 4b0c05515..4557d0789 100644
--- a/config/locales/he.yml
+++ b/config/locales/he.yml
@@ -1285,7 +1285,6 @@ he:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/hr.yml b/config/locales/hr.yml
index 0ebb8af05..7cd966bf1 100644
--- a/config/locales/hr.yml
+++ b/config/locales/hr.yml
@@ -1277,7 +1277,6 @@ hr:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/hu.yml b/config/locales/hu.yml
index 4660b0567..4bfe0e944 100644
--- a/config/locales/hu.yml
+++ b/config/locales/hu.yml
@@ -1299,7 +1299,6 @@
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/id.yml b/config/locales/id.yml
index d60eb46d6..4f6f5044a 100644
--- a/config/locales/id.yml
+++ b/config/locales/id.yml
@@ -1282,7 +1282,6 @@ id:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/it.yml b/config/locales/it.yml
index fb8dca016..66e24f56a 100644
--- a/config/locales/it.yml
+++ b/config/locales/it.yml
@@ -1273,7 +1273,6 @@ it:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Numero dei progetti recenti mostrati nella jump box
   label_optgroup_bookmarks: Segnalibri
-  label_optgroup_others: Altri progetti
   label_optgroup_recents: Recenti
   button_project_bookmark: Aggiungi segnalibro
   button_project_bookmark_delete: Elimina segnalibro
diff --git a/config/locales/ja.yml b/config/locales/ja.yml
index 8f6ed82b7..719c08df8 100644
--- a/config/locales/ja.yml
+++ b/config/locales/ja.yml
@@ -1282,7 +1282,6 @@ ja:
   text_gs_available: ImageMagickのPDFサポートが利用可能 (オプション)
   field_recently_used_projects: 最近使用したプロジェクトの表示件数
   label_optgroup_bookmarks: ブックマーク
-  label_optgroup_others: 他のプロジェクト
   label_optgroup_recents: 最近使用したもの
   button_project_bookmark: ブックマークに追加
   button_project_bookmark_delete: ブックマークから削除
diff --git a/config/locales/ko.yml b/config/locales/ko.yml
index 473b852ee..63147a81f 100644
--- a/config/locales/ko.yml
+++ b/config/locales/ko.yml
@@ -1318,7 +1318,6 @@ ko:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/lt.yml b/config/locales/lt.yml
index b07260670..2bdf2a3a7 100644
--- a/config/locales/lt.yml
+++ b/config/locales/lt.yml
@@ -1263,7 +1263,6 @@ lt:
   text_gs_available: ImageMagick PDF palaikomas (nebūtinas)
   field_recently_used_projects: Neseniai naudotų projektų skaičius jump box
   label_optgroup_bookmarks: Žymės
-  label_optgroup_others: Kiti projektai
   label_optgroup_recents: Pastaruoju metu naudota
   button_project_bookmark: Pridėti žymę
   button_project_bookmark_delete: Pašalinti žymę
diff --git a/config/locales/lv.yml b/config/locales/lv.yml
index 3e594c4cd..97ab8ece9 100644
--- a/config/locales/lv.yml
+++ b/config/locales/lv.yml
@@ -1274,7 +1274,6 @@ lv:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/mk.yml b/config/locales/mk.yml
index daad8ccde..20a48564d 100644
--- a/config/locales/mk.yml
+++ b/config/locales/mk.yml
@@ -1280,7 +1280,6 @@ mk:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/mn.yml b/config/locales/mn.yml
index b40e9e6e3..18f30e08e 100644
--- a/config/locales/mn.yml
+++ b/config/locales/mn.yml
@@ -1280,7 +1280,6 @@ mn:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/nl.yml b/config/locales/nl.yml
index a30332675..cdebe4b71 100644
--- a/config/locales/nl.yml
+++ b/config/locales/nl.yml
@@ -1255,7 +1255,6 @@ nl:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/no.yml b/config/locales/no.yml
index 639586074..390260711 100644
--- a/config/locales/no.yml
+++ b/config/locales/no.yml
@@ -1270,7 +1270,6 @@
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/pl.yml b/config/locales/pl.yml
index f2d08dcf4..b997a94bc 100644
--- a/config/locales/pl.yml
+++ b/config/locales/pl.yml
@@ -1114,7 +1114,6 @@ pl:
   label_font_monospace: Czcionka o stałej szerokości
   label_font_proportional: Czcionka proporcjonalna
   label_optgroup_bookmarks: Zakładki
-  label_optgroup_others: Inne projekty
   label_optgroup_recents: Ostatnio używane
   label_last_notes: Ostatnie notatki
   label_default_queries:
diff --git a/config/locales/pt-BR.yml b/config/locales/pt-BR.yml
index 244f15320..03192e646 100644
--- a/config/locales/pt-BR.yml
+++ b/config/locales/pt-BR.yml
@@ -1285,7 +1285,6 @@ pt-BR:
   text_gs_available: Suporte ao ImageMagick PDF disponível (opcional)
   field_recently_used_projects: Número de projetos usados recentemente no acesso rápido
   label_optgroup_bookmarks: Marcadores
-  label_optgroup_others: Outros projetos
   label_optgroup_recents: Recentes
   button_project_bookmark: Adicionar marcador
   button_project_bookmark_delete: Remover marcador
diff --git a/config/locales/pt.yml b/config/locales/pt.yml
index ef6f011b1..f2138d73b 100644
--- a/config/locales/pt.yml
+++ b/config/locales/pt.yml
@@ -1273,7 +1273,6 @@ pt:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/ro.yml b/config/locales/ro.yml
index 8d3441e76..7f5d3d4f2 100644
--- a/config/locales/ro.yml
+++ b/config/locales/ro.yml
@@ -1275,7 +1275,6 @@ ro:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/ru.yml b/config/locales/ru.yml
index d9cc4ad21..6db4b14ec 100644
--- a/config/locales/ru.yml
+++ b/config/locales/ru.yml
@@ -1366,7 +1366,6 @@ ru:
   text_gs_available: Доступно использование ImageMagick PDF (опционально)
   field_recently_used_projects: Число последних проектов в выпадающем списке
   label_optgroup_bookmarks: Закладки
-  label_optgroup_others: Другие проекты
   label_optgroup_recents: Последние
   button_project_bookmark: Добавить закладку
   button_project_bookmark_delete: Удалить закладку
diff --git a/config/locales/sk.yml b/config/locales/sk.yml
index afe73c611..50f61215e 100644
--- a/config/locales/sk.yml
+++ b/config/locales/sk.yml
@@ -1269,7 +1269,6 @@ sk:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/sl.yml b/config/locales/sl.yml
index f94b3598c..b4013d37f 100644
--- a/config/locales/sl.yml
+++ b/config/locales/sl.yml
@@ -1280,7 +1280,6 @@ sl:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/sq.yml b/config/locales/sq.yml
index b19606640..e21358024 100644
--- a/config/locales/sq.yml
+++ b/config/locales/sq.yml
@@ -1077,7 +1077,6 @@ sq:
   label_font_monospace: Shkronja Monospace
   label_font_proportional: Shkronja Proportional
   label_optgroup_bookmarks: Faqerojtës
-  label_optgroup_others: Projekte të tjera
   label_optgroup_recents: Përdorur së fundi
   label_last_notes: Shënimet e fundit
   label_nothing_to_preview: Asgjë për paraparje
diff --git a/config/locales/sr-YU.yml b/config/locales/sr-YU.yml
index c7bbec2a3..48ac2b1d7 100644
--- a/config/locales/sr-YU.yml
+++ b/config/locales/sr-YU.yml
@@ -1282,7 +1282,6 @@ sr-YU:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/sr.yml b/config/locales/sr.yml
index 777e5cd20..f3ce3a351 100644
--- a/config/locales/sr.yml
+++ b/config/locales/sr.yml
@@ -1281,7 +1281,6 @@ sr:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/sv.yml b/config/locales/sv.yml
index 2bddfccfc..4e8a6eacd 100644
--- a/config/locales/sv.yml
+++ b/config/locales/sv.yml
@@ -1313,7 +1313,6 @@ sv:
   text_gs_available: ImageMagick PDF support tillgänglig (frivillig)
   field_recently_used_projects: Antal nyligen använda projekt
   label_optgroup_bookmarks: Bokmärken
-  label_optgroup_others: Andra projekt
   label_optgroup_recents: Nyligen använda
   button_project_bookmark: Lägg till bokmärke
   button_project_bookmark_delete: Ta bort bokmärke
diff --git a/config/locales/th.yml b/config/locales/th.yml
index 91048f78e..365760055 100644
--- a/config/locales/th.yml
+++ b/config/locales/th.yml
@@ -1276,7 +1276,6 @@ th:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/tr.yml b/config/locales/tr.yml
index c9f2535c5..91d6b1acb 100644
--- a/config/locales/tr.yml
+++ b/config/locales/tr.yml
@@ -1287,7 +1287,6 @@ tr:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/uk.yml b/config/locales/uk.yml
index 214082c13..5d836deed 100644
--- a/config/locales/uk.yml
+++ b/config/locales/uk.yml
@@ -1268,7 +1268,6 @@ uk:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/vi.yml b/config/locales/vi.yml
index 0ecca2979..e9ba1f9cb 100644
--- a/config/locales/vi.yml
+++ b/config/locales/vi.yml
@@ -1332,7 +1332,6 @@ vi:
   text_gs_available: ImageMagick PDF support available (optional)
   field_recently_used_projects: Number of recently used projects in jump box
   label_optgroup_bookmarks: Bookmarks
-  label_optgroup_others: Other projects
   label_optgroup_recents: Recently used
   button_project_bookmark: Add bookmark
   button_project_bookmark_delete: Remove bookmark
diff --git a/config/locales/zh-TW.yml b/config/locales/zh-TW.yml
index 0e54d0922..da31f30b7 100644
--- a/config/locales/zh-TW.yml
+++ b/config/locales/zh-TW.yml
@@ -1336,7 +1336,6 @@
   text_gs_available: 可使用 ImageMagick 轉換 PDF 格式 (選配)
   field_recently_used_projects: 跳轉下拉方塊中最近用過的專案數目
   label_optgroup_bookmarks: 書籤
-  label_optgroup_others: 其他專案
   label_optgroup_recents: 最近用過的
   button_project_bookmark: 新增書籤
   button_project_bookmark_delete: 移除書籤
diff --git a/config/locales/zh.yml b/config/locales/zh.yml
index 3ebf283b3..5c675ff75 100644
--- a/config/locales/zh.yml
+++ b/config/locales/zh.yml
@@ -1258,7 +1258,6 @@ zh:
   text_gs_available: ImageMagick PDF 支持 (可选)
   field_recently_used_projects: 跳转框中最近使用的项目数量
   label_optgroup_bookmarks: 书签
-  label_optgroup_others: 其他项目
   label_optgroup_recents: 最近使用
   button_project_bookmark: 添加书签
   button_project_bookmark_delete: 移除书签
-- 
2.25.1