Index: app/controllers/admin_controller.rb
===================================================================
--- app/controllers/admin_controller.rb	(revision 22335)
+++ app/controllers/admin_controller.rb	(working copy)
@@ -83,7 +83,8 @@
       [:text_all_migrations_have_been_run, !ActiveRecord::Base.connection.migration_context.needs_migration?],
       [:text_minimagick_available,     Object.const_defined?(:MiniMagick)],
       [:text_convert_available,        Redmine::Thumbnail.convert_available?],
-      [:text_gs_available,             Redmine::Thumbnail.gs_available?]
+      [:text_gs_available,             Redmine::Thumbnail.gs_available?],
+      [:text_defaut_queue_dapter_changed, Rails.application.config.active_job.queue_adapter != :async]
     ]
   end
 end
Index: config/locales/ar.yml
===================================================================
--- config/locales/ar.yml	(revision 22335)
+++ config/locales/ar.yml	(working copy)
@@ -1483,3 +1483,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/az.yml
===================================================================
--- config/locales/az.yml	(revision 22335)
+++ config/locales/az.yml	(working copy)
@@ -1575,3 +1575,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/bg.yml
===================================================================
--- config/locales/bg.yml	(revision 22335)
+++ config/locales/bg.yml	(working copy)
@@ -1429,3 +1429,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/bs.yml
===================================================================
--- config/locales/bs.yml	(revision 22335)
+++ config/locales/bs.yml	(working copy)
@@ -1496,3 +1496,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/ca.yml
===================================================================
--- config/locales/ca.yml	(revision 22335)
+++ config/locales/ca.yml	(working copy)
@@ -1473,3 +1473,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/cs.yml
===================================================================
--- config/locales/cs.yml	(revision 22335)
+++ config/locales/cs.yml	(working copy)
@@ -1465,3 +1465,4 @@
   label_issue_statuses_description: Popis stavů úkolů
   label_open_issue_statuses_description: Zobraz popis všech stavů úkolů
   text_select_apply_issue_status: Vyber stav úkolu
+  text_defaut_queue_dapter_changed: Výchozí adaptér fronty, který se velmi dobře hodí pouze pro dev/test změněn
\ No newline at end of file
Index: config/locales/da.yml
===================================================================
--- config/locales/da.yml	(revision 22335)
+++ config/locales/da.yml	(working copy)
@@ -1500,3 +1500,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/de.yml
===================================================================
--- config/locales/de.yml	(revision 22335)
+++ config/locales/de.yml	(working copy)
@@ -1447,3 +1447,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/el.yml
===================================================================
--- config/locales/el.yml	(revision 22335)
+++ config/locales/el.yml	(working copy)
@@ -1483,3 +1483,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/en-GB.yml
===================================================================
--- config/locales/en-GB.yml	(revision 22335)
+++ config/locales/en-GB.yml	(working copy)
@@ -1484,3 +1484,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/en.yml
===================================================================
--- config/locales/en.yml	(revision 22335)
+++ config/locales/en.yml	(working copy)
@@ -1410,3 +1410,4 @@
   twofa_text_group_disabled: "This setting is only effective when the global two factor authentication setting is set to 'optional'. Currently, two factor authentication is disabled."
   text_user_destroy_confirmation: "Are you sure you want to delete this user and remove all references to them? This cannot be undone. Often, locking a user instead of deleting them is the better solution. To confirm, please enter their login (%{login}) below."
   text_project_destroy_enter_identifier: "To confirm, please enter the project's identifier (%{identifier}) below."
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/es-PA.yml
===================================================================
--- config/locales/es-PA.yml	(revision 22335)
+++ config/locales/es-PA.yml	(working copy)
@@ -1513,3 +1513,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/es.yml
===================================================================
--- config/locales/es.yml	(revision 22335)
+++ config/locales/es.yml	(working copy)
@@ -1549,3 +1549,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/et.yml
===================================================================
--- config/locales/et.yml	(revision 22335)
+++ config/locales/et.yml	(working copy)
@@ -1488,3 +1488,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/eu.yml
===================================================================
--- config/locales/eu.yml	(revision 22335)
+++ config/locales/eu.yml	(working copy)
@@ -1484,3 +1484,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/fa.yml
===================================================================
--- config/locales/fa.yml	(revision 22335)
+++ config/locales/fa.yml	(working copy)
@@ -1429,3 +1429,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/fi.yml
===================================================================
--- config/locales/fi.yml	(revision 22335)
+++ config/locales/fi.yml	(working copy)
@@ -1504,3 +1504,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/fr.yml
===================================================================
--- config/locales/fr.yml	(revision 22335)
+++ config/locales/fr.yml	(working copy)
@@ -1463,3 +1463,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/gl.yml
===================================================================
--- config/locales/gl.yml	(revision 22335)
+++ config/locales/gl.yml	(working copy)
@@ -1489,3 +1489,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/he.yml
===================================================================
--- config/locales/he.yml	(revision 22335)
+++ config/locales/he.yml	(working copy)
@@ -1488,3 +1488,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/hr.yml
===================================================================
--- config/locales/hr.yml	(revision 22335)
+++ config/locales/hr.yml	(working copy)
@@ -1480,3 +1480,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/hu.yml
===================================================================
--- config/locales/hu.yml	(revision 22335)
+++ config/locales/hu.yml	(working copy)
@@ -1502,3 +1502,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/id.yml
===================================================================
--- config/locales/id.yml	(revision 22335)
+++ config/locales/id.yml	(working copy)
@@ -1485,3 +1485,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/it.yml
===================================================================
--- config/locales/it.yml	(revision 22335)
+++ config/locales/it.yml	(working copy)
@@ -1476,3 +1476,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/ja.yml
===================================================================
--- config/locales/ja.yml	(revision 22335)
+++ config/locales/ja.yml	(working copy)
@@ -1436,3 +1436,4 @@
   label_issue_statuses_description: ステータスの説明
   label_open_issue_statuses_description: すべてのステータスの説明を表示
   text_select_apply_issue_status: このステータスを適用
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/ko.yml
===================================================================
--- config/locales/ko.yml	(revision 22335)
+++ config/locales/ko.yml	(working copy)
@@ -1521,3 +1521,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/lt.yml
===================================================================
--- config/locales/lt.yml	(revision 22335)
+++ config/locales/lt.yml	(working copy)
@@ -1444,3 +1444,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/lv.yml
===================================================================
--- config/locales/lv.yml	(revision 22335)
+++ config/locales/lv.yml	(working copy)
@@ -1477,3 +1477,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/mk.yml
===================================================================
--- config/locales/mk.yml	(revision 22335)
+++ config/locales/mk.yml	(working copy)
@@ -1483,3 +1483,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/mn.yml
===================================================================
--- config/locales/mn.yml	(revision 22335)
+++ config/locales/mn.yml	(working copy)
@@ -1483,3 +1483,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/nl.yml
===================================================================
--- config/locales/nl.yml	(revision 22335)
+++ config/locales/nl.yml	(working copy)
@@ -1458,3 +1458,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/no.yml
===================================================================
--- config/locales/no.yml	(revision 22335)
+++ config/locales/no.yml	(working copy)
@@ -1473,3 +1473,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/pl.yml
===================================================================
--- config/locales/pl.yml	(revision 22335)
+++ config/locales/pl.yml	(working copy)
@@ -1427,3 +1427,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/pt-BR.yml
===================================================================
--- config/locales/pt-BR.yml	(revision 22335)
+++ config/locales/pt-BR.yml	(working copy)
@@ -1488,3 +1488,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/pt.yml
===================================================================
--- config/locales/pt.yml	(revision 22335)
+++ config/locales/pt.yml	(working copy)
@@ -1476,3 +1476,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/ro.yml
===================================================================
--- config/locales/ro.yml	(revision 22335)
+++ config/locales/ro.yml	(working copy)
@@ -1478,3 +1478,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/ru.yml
===================================================================
--- config/locales/ru.yml	(revision 22335)
+++ config/locales/ru.yml	(working copy)
@@ -1557,3 +1557,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/sk.yml
===================================================================
--- config/locales/sk.yml	(revision 22335)
+++ config/locales/sk.yml	(working copy)
@@ -1472,3 +1472,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/sl.yml
===================================================================
--- config/locales/sl.yml	(revision 22335)
+++ config/locales/sl.yml	(working copy)
@@ -1483,3 +1483,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/sq.yml
===================================================================
--- config/locales/sq.yml	(revision 22335)
+++ config/locales/sq.yml	(working copy)
@@ -1445,3 +1445,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/sr-YU.yml
===================================================================
--- config/locales/sr-YU.yml	(revision 22335)
+++ config/locales/sr-YU.yml	(working copy)
@@ -1485,3 +1485,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/sr.yml
===================================================================
--- config/locales/sr.yml	(revision 22335)
+++ config/locales/sr.yml	(working copy)
@@ -1484,3 +1484,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/sv.yml
===================================================================
--- config/locales/sv.yml	(revision 22335)
+++ config/locales/sv.yml	(working copy)
@@ -1516,3 +1516,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/th.yml
===================================================================
--- config/locales/th.yml	(revision 22335)
+++ config/locales/th.yml	(working copy)
@@ -1479,3 +1479,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/tr.yml
===================================================================
--- config/locales/tr.yml	(revision 22335)
+++ config/locales/tr.yml	(working copy)
@@ -1483,3 +1483,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/uk.yml
===================================================================
--- config/locales/uk.yml	(revision 22335)
+++ config/locales/uk.yml	(working copy)
@@ -1471,3 +1471,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/vi.yml
===================================================================
--- config/locales/vi.yml	(revision 22335)
+++ config/locales/vi.yml	(working copy)
@@ -1535,3 +1535,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/zh-TW.yml
===================================================================
--- config/locales/zh-TW.yml	(revision 22335)
+++ config/locales/zh-TW.yml	(working copy)
@@ -1501,3 +1501,4 @@
   label_issue_statuses_description: 議題狀態說明
   label_open_issue_statuses_description: 檢視所有議題狀態的說明
   text_select_apply_issue_status: 選擇議題狀態
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file
Index: config/locales/zh.yml
===================================================================
--- config/locales/zh.yml	(revision 22335)
+++ config/locales/zh.yml	(working copy)
@@ -1438,3 +1438,4 @@
   label_issue_statuses_description: Issue statuses description
   label_open_issue_statuses_description: View all issue statuses description
   text_select_apply_issue_status: Select issue status
+  text_defaut_queue_dapter_changed: Default queue adapter which is well suited only for dev/test changed
\ No newline at end of file